@import '{}/imports/ui/stylesheets/variables/index';

@mixin editable-popout {
	.editable-wrap {
		margin: -8px;
	}

	.editable {
		padding: 8px;

		&:focus,
		&.editable-changed {
			border: 1px solid $brand-primary;
			box-shadow: 7px 7px 7px rgba(0, 0, 0, 0.3);
			padding: 7px;
		}
	}

	.editable-controls {
		@include td-margin(left, -8px);
	}
}

@mixin editable-form-control {
	.editable {
		border: 1px solid #fff0;
		line-height: 1.42857;
		padding: 6px 12px;
		transition: box-shadow ease-in-out 0.15s;

		&.is-invalid {
			border: 1px solid $danger;
			margin: -1px;
		}

		&:focus,
		&.editable-changed {
			border: 1px solid #ccc;
			border-radius: 4px;
			box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.08);
			color: #555;
		}
	}
}

.editable-wrap {
	position: relative;
}

.editable {
	outline: none;

	&.is-invalid {
		border: 1px solid $danger;
		margin: -1px;
	}

	&:focus,
	&.editable-changed {
		background: $body-bg;
	}

	&:focus + .editable-icon,
	&.editable-changed + .editable-icon {
		display: none;
	}
}

.editable-wrap-multiline .editable {
	min-height: 100px;
}

.editable-wrap-singleline .editable {
	display: inline-block;
	min-width: 8em;
	width: auto;

	&:focus,
	&.editable-changed {
		min-width: 10em;
	}
}

.editable-icon {
	color: $gray-600;
	cursor: default;
	padding: 0.2em;
	transition: color 0.25s;

	&:hover {
		cursor: pointer;
	}
}

.editable-wrap:hover .editable-icon {
	color: $gray-800;
}

.editable-wrap-multiline .editable-icon {
	@include td-pos(right, 0);
	position: absolute;
	top: 0;
}

.editable:focus + .editable-icon,
.editable-changed + .editable-icon {
	color: $gray-800;
}

.editable-controls {
	margin-top: 15px;
	position: absolute;
	z-index: $zindex-tooltip - 1;
}

.editable-controls button {
	@include td-margin(right, 5px);
	box-shadow: $shadow-lg-offset-x $shadow-lg-offset-y $shadow-lg-blur $default-shadow;
}
